Subject: Re: [RFC 10/10] net: sfp: add support for fwnode

From: Andy Shevchenko <[email-masked]>
Date: Mon, 21 Feb 2022 19:57:39 +0200

On Mon, Feb 21, 2022 at 05:26:52PM +0100, Clément Léger wrote:
> Add support to retrieve a i2c bus in sfp with a fwnode. This support
> is using the fwnode API which also works with device-tree and ACPI.
> For this purpose, the device-tree and ACPI code handling the i2c
> adapter retrieval was factorized with the new code. This also allows
> i2c devices using a software_node description to be used by sfp code.

If I'm not mistaken this patch can even go separately right now, since all used
APIs are already available.

-- 
With Best Regards,
Andy Shevchenko